function wtchk(handles,WTval)

if (strcmp(WTval,'1D Discrete Fractional Wavelet Transform') || strcmp(WTval,'2D Discrete Fractional Wavelet Transform') ...
        || strcmp(WTval,'1D Discrete Fractional Wavelet Transform (causal)') || strcmp(WTval,'2D Discrete Fractional Wavelet Transform (causal)'))
    set(handles.edit5,'Visible','on');
    set(handles.edit17,'Visible','on');
    set(handles.text6,'Visible','on');
    set(handles.text20,'Visible','on');
    set(handles.text20,'String','Shift');
    if ~isempty(handles.popupmenu11)
        set(handles.popupmenu11,'Visible','off');
    end
    set(handles.text7,'Visible','on');
    set(handles.popupmenu4,'Visible','on');
    set(handles.popupmenu12,'Visible','off');
elseif strcmp(WTval,'1D Continuous Wavelet Transform')
    set(handles.edit5,'Visible','off');
    set(handles.edit17,'Visible','on');
    set(handles.text6,'Visible','off');
    set(handles.text20,'Visible','on');
    set(handles.text20,'String','Scale');
    if ~isempty(handles.popupmenu11)
        set(handles.popupmenu11,'Visible','off');
    end
    set(handles.text7,'Visible','off');
    set(handles.popupmenu4,'Visible','off');
    set(handles.popupmenu12,'Visible','off');
elseif strcmp(WTval,'2D Discrete Multiwavelet Transform')
    set(handles.text7,'Visible','off');
    set(handles.popupmenu4,'Visible','off');
    set(handles.popupmenu12,'Visible','off');
elseif strcmp(WTval,'2D Quincunx Wavelet Transform')
    set(handles.edit5,'Visible','on');
    set(handles.text6,'Visible','on');
    set(handles.text7,'Visible','on');
    set(handles.popupmenu4,'Visible','on');
    set(handles.popupmenu12,'Visible','on');
    set(handles.text20,'Visible','on');
    set(handles.text20,'String','Type');
else
    set(handles.edit5,'Visible','off');
    set(handles.edit17,'Visible','off');
    set(handles.text6,'Visible','off');
    set(handles.text20,'Visible','off');
    if ~isempty(handles.popupmenu11)
        set(handles.popupmenu11,'Visible','off');
    end
    set(handles.text7,'Visible','on');
    set(handles.popupmenu4,'Visible','on');
    set(handles.popupmenu12,'Visible','off');
end
